Loading...
Searching...
No Matches
fastjet::BackgroundRescalingYPolynomial Class Reference
FastJet tools » Background subtraction

A background rescaling that is a simple polynomial in y. More...

`#include <fastjet/tools/BackgroundEstimatorBase.hh>`

Inheritance diagram for fastjet::BackgroundRescalingYPolynomial:
[legend]
Collaboration diagram for fastjet::BackgroundRescalingYPolynomial:
[legend]

## Public Member Functions

| BackgroundRescalingYPolynomial (double a0=1, double a1=0, double a2=0, double a3=0, double a4=0)
| construct a background rescaling polynomial of the form a0 + a1*y + a2*y^2 + a3*y^3 + a4*y^4
virtual double | result (const PseudoJet &jet) const
| return the rescaling factor associated with this jet
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< double >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
virtual std::string | description () const
| returns a description of the function (an empty string by default)
double | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Detailed Description

A background rescaling that is a simple polynomial in y.

Definition at line 412 of file BackgroundEstimatorBase.hh.

## Constructor & Destructor Documentation

## BackgroundRescalingYPolynomial()

fastjet::BackgroundRescalingYPolynomial::BackgroundRescalingYPolynomial | ( | double | a0 = 1,
|  | double | a1 = 0,
|  | double | a2 = 0,
|  | double | a3 = 0,
|  | double | a4 = 0 )

inline

construct a background rescaling polynomial of the form a0 + a1*y + a2*y^2 + a3*y^3 + a4*y^4

The following values give a reasonable reproduction of the Pythia8 tune 4C background shape for pp collisions at sqrt(s)=7TeV:

- a0 = 1.157
- a1 = 0
- a2 = -0.0266
- a3 = 0
- a4 = 0.000048

Definition at line 427 of file BackgroundEstimatorBase.hh.

## Member Function Documentation

## result()

double fastjet::BackgroundRescalingYPolynomial::result | ( | const PseudoJet & | jet | ) | const

virtual

return the rescaling factor associated with this jet

Implements fastjet::FunctionOfPseudoJet< double >.

Definition at line 62 of file JetMedianBackgroundEstimator.cc.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/BackgroundEstimatorBase.hh
- tools/JetMedianBackgroundEstimator.cc